org.crosswire.common.activate

## Enum Kill

- java.lang.Object
- - java.lang.Enum<Kill>
  - - org.crosswire.common.activate.Kill

- All Implemented Interfaces:
    Serializable, Comparable<Kill>

      public enum Kill
      extends Enum<Kill>

  Enumeration of how memory is returned.
  Author:
    Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVERYTHING` Try as hard as possible to conserve memory
    `LEAST_USED` Reduce memory usage, but only where sensible
    `ONLY_IF_TIGHT` Reduce memory usage, but only if we really need to

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reduceMemoryUsage()`
    `static Kill` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Kill[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EVERYTHING

          public static final Kill EVERYTHING

      Try as hard as possible to conserve memory

    - #### LEAST_USED

          public static final Kill LEAST_USED

      Reduce memory usage, but only where sensible

    - #### ONLY_IF_TIGHT

          public static final Kill ONLY_IF_TIGHT

      Reduce memory usage, but only if we really need to

  - ### Method Detail

    - #### values

          public static Kill[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Kill c : Kill.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Kill valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### reduceMemoryUsage

          public void reduceMemoryUsage()